
User Interface - Bug #5214

Broken z-order for all driver widgets (including SPREADSHEET, HTML-BROWSER, etc.)

03/22/2021 06:47 AM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Alexandru Lungu % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/22/2021 06:48 AM - Hynek Cihlar

To replicate the issue, create a program with two legacy windows, display a HTML-BROWSER widget in one window and then switch to the other

window. The browser widget should be drawn behind the second window, but overlaps.

#3 - 03/22/2021 12:33 PM - Greg Shah

- Assignee set to Adrian Lungu

#4 - 05/24/2021 09:15 AM - Adrian Lungu

- Status changed from New to WIP

#5 - 05/24/2021 10:52 AM - Adrian Lungu

- File start.p.ext-hints added

- File start.p added

I checked a custom testcase and can't reproduce anything suspicious. I used 3821c/rev. 12446 and the attached files. This issue is either fixed in the

meantime or I am missing something in my testcase. Can you tell if this should have reproduced #5214-1?

#6 - 05/24/2021 10:59 AM - Hynek Cihlar

Adrian Lungu wrote:

I checked a custom testcase and can't reproduce anything suspicious. I used 3821c/rev. 12446 and the attached files. This issue is either fixed

in the meantime or I am missing something in my testcase. Can you tell if this should have reproduced #5214-1?

 

Also please try SPREADSHEET. It may be widget specific.

#7 - 05/25/2021 07:30 AM - Adrian Lungu

- % Done changed from 0 to 80
Replaced the HTML-BROWSER with a SPREADSHEET in my testcase and the result is as expected. I will try to look into a customer application to

see if I can reproduce it there - maybe there are other factors which can trigger the issue.

#8 - 09/22/2021 03:43 PM - Greg Shah

Is there any reason to leave this task open?

#10 - 12/07/2021 05:08 AM - Alexandru Lungu

- Status changed from WIP to Review

- Assignee changed from Adrian Lungu to Alexandru Lungu

- % Done changed from 80 to 100

I think this can be closed as #5688 was a customer specific issue which reproduced #5214-1 and it was fixed.

#11 - 12/07/2021 07:26 AM - Greg Shah

- Status changed from Review to Closed

Files

start.p.ext-hints 245 Bytes 05/24/2021 Adrian Lungu

start.p 747 Bytes 05/24/2021 Adrian Lungu
